Name:		sshrc
Version:	0.5
Release:	6%{?dist}
Summary:	Bring your bash and vim configuration in your ssh session

Group:		Applications/Productivity
License:	MIT
URL:		https://github.com/Russell91/sshrc
Source0:	https://github.com/Russell91/sshrc/archive/0.5.tar.gz

# Aug 10, 2015: Filed upstream - https://github.com/Russell91/sshrc/issues/47
Patch0:		quoting.patch

Requires:	vim-common
Requires:	openssh-clients

BuildArch:	noarch

Provides:	moshrc = %{version}-%{release}

%description
You can use this to set environment variables, define functions,
and run post-login commands. This is quite useful when you have several
servers that you don't want to configure independently.

%prep
%setup -q
%patch0 -p1

%build

%install
mkdir -p %{buildroot}%{_bindir}/
cp -p sshrc %{buildroot}/%{_bindir}
cp -p moshrc %{buildroot}/%{_bindir}

%files
%license LICENSE
%doc README.md
%{_bindir}/sshrc
%{_bindir}/moshrc

%changelog
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Oct 8 2015 Pranav Kant <pranvk@fedoraproject.org> - 0.5-5
- Changed Summary: Removed dots "." from it

* Mon Sep 28 2015 Pranav Kant <pranvk@fedoraproject.org> - 0.5-4
- Add moshrc to 'Provides:' field

* Wed Aug 12 2015 Pranav Kant <pranvk@fedoraproject.org> - 0.5-3
- Patch programs to avoid possible accidents

* Sat Aug 1 2015 Pranav Kant <pranvk@fedoraproject.org> - 0.5-2
- Add %%build section to silent rpmlint warning
- Add needed to 'Requires:' field
- Remove 'rm -rf %%buildroot'

* Mon Jul 27 2015 Pranav Kant <pranvk@fedoraproject.org> - 0.5-1
- Initial package

